Subject: Re: Minor annoyance with git push

From: Junio C Hamano <[email-masked]>
Date: Sat, 09 Feb 2008 18:07:34 -0800

Johannes Schindelin <[email-masked]> writes:

> The way would be like this, I think:
>
> - introduce a command line option for push, like "--push-common-refs", and 
> issue a warning whenever "git push" is called without command line 
> options (along the lines "This default behaviour is deprecated; please use 
> --push-common-refs").
>
> - in a waaaay later version, just take away the default action of "git 
> push", instead showing the usage.

I do not think that is a right approach.  To please both camps
without forcing people to

 (1) change what they are used to, and
 (2) type overlong command line,

I think the traditional "matching refs by default", combined
with "'git push HEAD' defaults to pushing the current branch to
the default location" would be a well balanced compromise.